Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class jdbcDatabaseMetaData

    java.lang.Object
      |
      +--org.hsqldb.jdbcDatabaseMetaData

public class jdbcDatabaseMetaData
extends Object
implements DatabaseMetaData

Constructor Summary
`(package private)` | `jdbcDatabaseMetaData(org.hsqldb.jdbcConnection )`

Method Summary
`boolean` | `allProceduresAreCallable()`
`boolean` | `allTablesAreSelectable()`
`boolean` | `dataDefinitionCausesTransactionCommit()`
`boolean` | `dataDefinitionIgnoredInTransactions()`
`boolean` | `deletesAreDetected(int )`
`boolean` | `doesMaxRowSizeIncludeBlobs()`
`java.sql.ResultSet` | `getBestRowIdentifier(java.lang.String , java.lang.String , java.lang.String , int , boolean )`
`java.sql.ResultSet` | `getCatalogs()`
`java.lang.String` | `getCatalogSeparator()`
`java.lang.String` | `getCatalogTerm()`
`java.sql.ResultSet` | `getColumnPrivileges(java.lang.String , java.lang.String , java.lang.String , java.lang.String )`
`java.sql.ResultSet` | `getColumns(java.lang.String , java.lang.String , java.lang.String , java.lang.String )`
`java.sql.Connection` | `getConnection()`
`java.sql.ResultSet` | `getCrossReference(java.lang.String , java.lang.String , java.lang.String , java.lang.String , java.lang.String , java.lang.String )`
`java.lang.String` | `getDatabaseProductName()`
`java.lang.String` | `getDatabaseProductVersion()`
`int` | `getDefaultTransactionIsolation()`
`int` | `getDriverMajorVersion()`
`int` | `getDriverMinorVersion()`
`java.lang.String` | `getDriverName()`
`java.lang.String` | `getDriverVersion()`
`java.sql.ResultSet` | `getExportedKeys(java.lang.String , java.lang.String , java.lang.String )`
`java.lang.String` | `getExtraNameCharacters()`
`java.lang.String` | `getIdentifierQuoteString()`
`java.sql.ResultSet` | `getImportedKeys(java.lang.String , java.lang.String , java.lang.String )`
`java.sql.ResultSet` | `getIndexInfo(java.lang.String , java.lang.String , java.lang.String , boolean , boolean )`
`int` | `getMaxBinaryLiteralLength()`
`int` | `getMaxCatalogNameLength()`
`int` | `getMaxCharLiteralLength()`
`int` | `getMaxColumnNameLength()`
`int` | `getMaxColumnsInGroupBy()`
`int` | `getMaxColumnsInIndex()`
`int` | `getMaxColumnsInOrderBy()`
`int` | `getMaxColumnsInSelect()`
`int` | `getMaxColumnsInTable()`
`int` | `getMaxConnections()`
`int` | `getMaxCursorNameLength()`
`int` | `getMaxIndexLength()`
`int` | `getMaxProcedureNameLength()`
`int` | `getMaxRowSize()`
`int` | `getMaxSchemaNameLength()`
`int` | `getMaxStatementLength()`
`int` | `getMaxStatements()`
`int` | `getMaxTableNameLength()`
`int` | `getMaxTablesInSelect()`
`int` | `getMaxUserNameLength()`
`java.lang.String` | `getNumericFunctions()`
`java.sql.ResultSet` | `getPrimaryKeys(java.lang.String , java.lang.String , java.lang.String )`
`java.sql.ResultSet` | `getProcedureColumns(java.lang.String , java.lang.String , java.lang.String , java.lang.String )`
`java.sql.ResultSet` | `getProcedures(java.lang.String , java.lang.String , java.lang.String )`
`java.lang.String` | `getProcedureTerm()`
`java.sql.ResultSet` | `getSchemas()`
`java.lang.String` | `getSchemaTerm()`
`java.lang.String` | `getSearchStringEscape()`
`java.lang.String` | `getSQLKeywords()`
`java.lang.String` | `getStringFunctions()`
`java.lang.String` | `getSystemFunctions()`
`java.sql.ResultSet` | `getTablePrivileges(java.lang.String , java.lang.String , java.lang.String )`
`java.sql.ResultSet` | `getTables(java.lang.String , java.lang.String , java.lang.String , java.lang.String[] )`
`java.sql.ResultSet` | `getTableTypes()`
`java.lang.String` | `getTimeDateFunctions()`
`java.sql.ResultSet` | `getTypeInfo()`
`java.sql.ResultSet` | `getUDTs(java.lang.String , java.lang.String , java.lang.String , int[] )`
`java.lang.String` | `getURL()`
`java.lang.String` | `getUserName()`
`java.sql.ResultSet` | `getVersionColumns(java.lang.String , java.lang.String , java.lang.String )`
`boolean` | `insertsAreDetected(int )`
`boolean` | `isCatalogAtStart()`
`boolean` | `isReadOnly()`
`boolean` | `nullPlusNonNullIsNull()`
`boolean` | `nullsAreSortedAtEnd()`
`boolean` | `nullsAreSortedAtStart()`
`boolean` | `nullsAreSortedHigh()`
`boolean` | `nullsAreSortedLow()`
`boolean` | `othersDeletesAreVisible(int )`
`boolean` | `othersInsertsAreVisible(int )`
`boolean` | `othersUpdatesAreVisible(int )`
`boolean` | `ownDeletesAreVisible(int )`
`boolean` | `ownInsertsAreVisible(int )`
`boolean` | `ownUpdatesAreVisible(int )`
`boolean` | `storesLowerCaseIdentifiers()`
`boolean` | `storesLowerCaseQuotedIdentifiers()`
`boolean` | `storesMixedCaseIdentifiers()`
`boolean` | `storesMixedCaseQuotedIdentifiers()`
`boolean` | `storesUpperCaseIdentifiers()`
`boolean` | `storesUpperCaseQuotedIdentifiers()`
`boolean` | `supportsAlterTableWithAddColumn()`
`boolean` | `supportsAlterTableWithDropColumn()`
`boolean` | `supportsANSI92EntryLevelSQL()`
`boolean` | `supportsANSI92FullSQL()`
`boolean` | `supportsANSI92IntermediateSQL()`
`boolean` | `supportsBatchUpdates()`
`boolean` | `supportsCatalogsInDataManipulation()`
`boolean` | `supportsCatalogsInIndexDefinitions()`
`boolean` | `supportsCatalogsInPrivilegeDefinitions()`
`boolean` | `supportsCatalogsInProcedureCalls()`
`boolean` | `supportsCatalogsInTableDefinitions()`
`boolean` | `supportsColumnAliasing()`
`boolean` | `supportsConvert()`
`boolean` | `supportsConvert(int , int )`
`boolean` | `supportsCoreSQLGrammar()`
`boolean` | `supportsCorrelatedSubqueries()`
`boolean` | `supportsDataDefinitionAndDataManipulationTransactions()`
`boolean` | `supportsDataManipulationTransactionsOnly()`
`boolean` | `supportsDifferentTableCorrelationNames()`
`boolean` | `supportsExpressionsInOrderBy()`
`boolean` | `supportsExtendedSQLGrammar()`
`boolean` | `supportsFullOuterJoins()`
`boolean` | `supportsGroupBy()`
`boolean` | `supportsGroupByBeyondSelect()`
`boolean` | `supportsGroupByUnrelated()`
`boolean` | `supportsIntegrityEnhancementFacility()`
`boolean` | `supportsLikeEscapeClause()`
`boolean` | `supportsLimitedOuterJoins()`
`boolean` | `supportsMinimumSQLGrammar()`
`boolean` | `supportsMixedCaseIdentifiers()`
`boolean` | `supportsMixedCaseQuotedIdentifiers()`
`boolean` | `supportsMultipleResultSets()`
`boolean` | `supportsMultipleTransactions()`
`boolean` | `supportsNonNullableColumns()`
`boolean` | `supportsOpenCursorsAcrossCommit()`
`boolean` | `supportsOpenCursorsAcrossRollback()`
`boolean` | `supportsOpenStatementsAcrossCommit()`
`boolean` | `supportsOpenStatementsAcrossRollback()`
`boolean` | `supportsOrderByUnrelated()`
`boolean` | `supportsOuterJoins()`
`boolean` | `supportsPositionedDelete()`
`boolean` | `supportsPositionedUpdate()`
`boolean` | `supportsResultSetConcurrency(int , int )`
`boolean` | `supportsResultSetType(int )`
`boolean` | `supportsSchemasInDataManipulation()`
`boolean` | `supportsSchemasInIndexDefinitions()`
`boolean` | `supportsSchemasInPrivilegeDefinitions()`
`boolean` | `supportsSchemasInProcedureCalls()`
`boolean` | `supportsSchemasInTableDefinitions()`
`boolean` | `supportsSelectForUpdate()`
`boolean` | `supportsStoredProcedures()`
`boolean` | `supportsSubqueriesInComparisons()`
`boolean` | `supportsSubqueriesInExists()`
`boolean` | `supportsSubqueriesInIns()`
`boolean` | `supportsSubqueriesInQuantifieds()`
`boolean` | `supportsTableCorrelationNames()`
`boolean` | `supportsTransactionIsolationLevel(int )`
`boolean` | `supportsTransactions()`
`boolean` | `supportsUnion()`
`boolean` | `supportsUnionAll()`
`boolean` | `updatesAreDetected(int )`
`boolean` | `usesLocalFilePerTable()`
`boolean` | `usesLocalFiles()`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### jdbcDatabaseMetaData

    jdbcDatabaseMetaData(org.hsqldb.jdbcConnection )

Method Detail

### allProceduresAreCallable

    public boolean allProceduresAreCallable()

### allTablesAreSelectable

    public boolean allTablesAreSelectable()

### dataDefinitionCausesTransactionCommit

    public boolean dataDefinitionCausesTransactionCommit()

### dataDefinitionIgnoredInTransactions

    public boolean dataDefinitionIgnoredInTransactions()

### deletesAreDetected

    public boolean deletesAreDetected(int )

### doesMaxRowSizeIncludeBlobs

    public boolean doesMaxRowSizeIncludeBlobs()

### getBestRowIdentifier

    public java.sql.ResultSet getBestRowIdentifier(java.lang.String , java.lang.String , java.lang.String , int , boolean )

### getCatalogs

    public java.sql.ResultSet getCatalogs()

### getCatalogSeparator

    public java.lang.String getCatalogSeparator()

### getCatalogTerm

    public java.lang.String getCatalogTerm()

### getColumnPrivileges

    public java.sql.ResultSet getColumnPrivileges(java.lang.String , java.lang.String , java.lang.String , java.lang.String )

### getColumns

    public java.sql.ResultSet getColumns(java.lang.String , java.lang.String , java.lang.String , java.lang.String )

### getConnection

    public java.sql.Connection getConnection()

### getCrossReference

    public java.sql.ResultSet getCrossReference(java.lang.String , java.lang.String , java.lang.String , java.lang.String , java.lang.String , java.lang.String )

### getDatabaseProductName

    public java.lang.String getDatabaseProductName()

### getDatabaseProductVersion

    public java.lang.String getDatabaseProductVersion()

### getDefaultTransactionIsolation

    public int getDefaultTransactionIsolation()

### getDriverMajorVersion

    public int getDriverMajorVersion()

### getDriverMinorVersion

    public int getDriverMinorVersion()

### getDriverName

    public java.lang.String getDriverName()

### getDriverVersion

    public java.lang.String getDriverVersion()

### getExportedKeys

    public java.sql.ResultSet getExportedKeys(java.lang.String , java.lang.String , java.lang.String )

### getExtraNameCharacters

    public java.lang.String getExtraNameCharacters()

### getIdentifierQuoteString

    public java.lang.String getIdentifierQuoteString()

### getImportedKeys

    public java.sql.ResultSet getImportedKeys(java.lang.String , java.lang.String , java.lang.String )

### getIndexInfo

    public java.sql.ResultSet getIndexInfo(java.lang.String , java.lang.String , java.lang.String , boolean , boolean )

### getMaxBinaryLiteralLength

    public int getMaxBinaryLiteralLength()

### getMaxCatalogNameLength

    public int getMaxCatalogNameLength()

### getMaxCharLiteralLength

    public int getMaxCharLiteralLength()

### getMaxColumnNameLength

    public int getMaxColumnNameLength()

### getMaxColumnsInGroupBy

    public int getMaxColumnsInGroupBy()

### getMaxColumnsInIndex

    public int getMaxColumnsInIndex()

### getMaxColumnsInOrderBy

    public int getMaxColumnsInOrderBy()

### getMaxColumnsInSelect

    public int getMaxColumnsInSelect()

### getMaxColumnsInTable

    public int getMaxColumnsInTable()

### getMaxConnections

    public int getMaxConnections()

### getMaxCursorNameLength

    public int getMaxCursorNameLength()

### getMaxIndexLength

    public int getMaxIndexLength()

### getMaxProcedureNameLength

    public int getMaxProcedureNameLength()

### getMaxRowSize

    public int getMaxRowSize()

### getMaxSchemaNameLength

    public int getMaxSchemaNameLength()

### getMaxStatementLength

    public int getMaxStatementLength()

### getMaxStatements

    public int getMaxStatements()

### getMaxTableNameLength

    public int getMaxTableNameLength()

### getMaxTablesInSelect

    public int getMaxTablesInSelect()

### getMaxUserNameLength

    public int getMaxUserNameLength()

### getNumericFunctions

    public java.lang.String getNumericFunctions()

### getPrimaryKeys

    public java.sql.ResultSet getPrimaryKeys(java.lang.String , java.lang.String , java.lang.String )

### getProcedureColumns

    public java.sql.ResultSet getProcedureColumns(java.lang.String , java.lang.String , java.lang.String , java.lang.String )

### getProcedures

    public java.sql.ResultSet getProcedures(java.lang.String , java.lang.String , java.lang.String )

### getProcedureTerm

    public java.lang.String getProcedureTerm()

### getSchemas

    public java.sql.ResultSet getSchemas()

### getSchemaTerm

    public java.lang.String getSchemaTerm()

### getSearchStringEscape

    public java.lang.String getSearchStringEscape()

### getSQLKeywords

    public java.lang.String getSQLKeywords()

### getStringFunctions

    public java.lang.String getStringFunctions()

### getSystemFunctions

    public java.lang.String getSystemFunctions()

### getTablePrivileges

    public java.sql.ResultSet getTablePrivileges(java.lang.String , java.lang.String , java.lang.String )

### getTables

    public java.sql.ResultSet getTables(java.lang.String , java.lang.String , java.lang.String , java.lang.String[] )

### getTableTypes

    public java.sql.ResultSet getTableTypes()

### getTimeDateFunctions

    public java.lang.String getTimeDateFunctions()

### getTypeInfo

    public java.sql.ResultSet getTypeInfo()

### getUDTs

    public java.sql.ResultSet getUDTs(java.lang.String , java.lang.String , java.lang.String , int[] )

### getURL

    public java.lang.String getURL()

### getUserName

    public java.lang.String getUserName()

### getVersionColumns

    public java.sql.ResultSet getVersionColumns(java.lang.String , java.lang.String , java.lang.String )

### insertsAreDetected

    public boolean insertsAreDetected(int )

### isCatalogAtStart

    public boolean isCatalogAtStart()

### isReadOnly

    public boolean isReadOnly()

### nullPlusNonNullIsNull

    public boolean nullPlusNonNullIsNull()

### nullsAreSortedAtEnd

    public boolean nullsAreSortedAtEnd()

### nullsAreSortedAtStart

    public boolean nullsAreSortedAtStart()

### nullsAreSortedHigh

    public boolean nullsAreSortedHigh()

### nullsAreSortedLow

    public boolean nullsAreSortedLow()

### othersDeletesAreVisible

    public boolean othersDeletesAreVisible(int )

### othersInsertsAreVisible

    public boolean othersInsertsAreVisible(int )

### othersUpdatesAreVisible

    public boolean othersUpdatesAreVisible(int )

### ownDeletesAreVisible

    public boolean ownDeletesAreVisible(int )

### ownInsertsAreVisible

    public boolean ownInsertsAreVisible(int )

### ownUpdatesAreVisible

    public boolean ownUpdatesAreVisible(int )

### storesLowerCaseIdentifiers

    public boolean storesLowerCaseIdentifiers()

### storesLowerCaseQuotedIdentifiers

    public boolean storesLowerCaseQuotedIdentifiers()

### storesMixedCaseIdentifiers

    public boolean storesMixedCaseIdentifiers()

### storesMixedCaseQuotedIdentifiers

    public boolean storesMixedCaseQuotedIdentifiers()

### storesUpperCaseIdentifiers

    public boolean storesUpperCaseIdentifiers()

### storesUpperCaseQuotedIdentifiers

    public boolean storesUpperCaseQuotedIdentifiers()

### supportsAlterTableWithAddColumn

    public boolean supportsAlterTableWithAddColumn()

### supportsAlterTableWithDropColumn

    public boolean supportsAlterTableWithDropColumn()

### supportsANSI92EntryLevelSQL

    public boolean supportsANSI92EntryLevelSQL()

### supportsANSI92FullSQL

    public boolean supportsANSI92FullSQL()

### supportsANSI92IntermediateSQL

    public boolean supportsANSI92IntermediateSQL()

### supportsBatchUpdates

    public boolean supportsBatchUpdates()

### supportsCatalogsInDataManipulation

    public boolean supportsCatalogsInDataManipulation()

### supportsCatalogsInIndexDefinitions

    public boolean supportsCatalogsInIndexDefinitions()

### supportsCatalogsInPrivilegeDefinitions

    public boolean supportsCatalogsInPrivilegeDefinitions()

### supportsCatalogsInProcedureCalls

    public boolean supportsCatalogsInProcedureCalls()

### supportsCatalogsInTableDefinitions

    public boolean supportsCatalogsInTableDefinitions()

### supportsColumnAliasing

    public boolean supportsColumnAliasing()

### supportsConvert

    public boolean supportsConvert()

### supportsConvert

    public boolean supportsConvert(int , int )

### supportsCoreSQLGrammar

    public boolean supportsCoreSQLGrammar()

### supportsCorrelatedSubqueries

    public boolean supportsCorrelatedSubqueries()

### supportsDataDefinitionAndDataManipulationTransactions

    public boolean supportsDataDefinitionAndDataManipulationTransactions()

### supportsDataManipulationTransactionsOnly

    public boolean supportsDataManipulationTransactionsOnly()

### supportsDifferentTableCorrelationNames

    public boolean supportsDifferentTableCorrelationNames()

### supportsExpressionsInOrderBy

    public boolean supportsExpressionsInOrderBy()

### supportsExtendedSQLGrammar

    public boolean supportsExtendedSQLGrammar()

### supportsFullOuterJoins

    public boolean supportsFullOuterJoins()

### supportsGroupBy

    public boolean supportsGroupBy()

### supportsGroupByBeyondSelect

    public boolean supportsGroupByBeyondSelect()

### supportsGroupByUnrelated

    public boolean supportsGroupByUnrelated()

### supportsIntegrityEnhancementFacility

    public boolean supportsIntegrityEnhancementFacility()

### supportsLikeEscapeClause

    public boolean supportsLikeEscapeClause()

### supportsLimitedOuterJoins

    public boolean supportsLimitedOuterJoins()

### supportsMinimumSQLGrammar

    public boolean supportsMinimumSQLGrammar()

### supportsMixedCaseIdentifiers

    public boolean supportsMixedCaseIdentifiers()

### supportsMixedCaseQuotedIdentifiers

    public boolean supportsMixedCaseQuotedIdentifiers()

### supportsMultipleResultSets

    public boolean supportsMultipleResultSets()

### supportsMultipleTransactions

    public boolean supportsMultipleTransactions()

### supportsNonNullableColumns

    public boolean supportsNonNullableColumns()

### supportsOpenCursorsAcrossCommit

    public boolean supportsOpenCursorsAcrossCommit()

### supportsOpenCursorsAcrossRollback

    public boolean supportsOpenCursorsAcrossRollback()

### supportsOpenStatementsAcrossCommit

    public boolean supportsOpenStatementsAcrossCommit()

### supportsOpenStatementsAcrossRollback

    public boolean supportsOpenStatementsAcrossRollback()

### supportsOrderByUnrelated

    public boolean supportsOrderByUnrelated()

### supportsOuterJoins

    public boolean supportsOuterJoins()

### supportsPositionedDelete

    public boolean supportsPositionedDelete()

### supportsPositionedUpdate

    public boolean supportsPositionedUpdate()

### supportsResultSetConcurrency

    public boolean supportsResultSetConcurrency(int , int )

### supportsResultSetType

    public boolean supportsResultSetType(int )

### supportsSchemasInDataManipulation

    public boolean supportsSchemasInDataManipulation()

### supportsSchemasInIndexDefinitions

    public boolean supportsSchemasInIndexDefinitions()

### supportsSchemasInPrivilegeDefinitions

    public boolean supportsSchemasInPrivilegeDefinitions()

### supportsSchemasInProcedureCalls

    public boolean supportsSchemasInProcedureCalls()

### supportsSchemasInTableDefinitions

    public boolean supportsSchemasInTableDefinitions()

### supportsSelectForUpdate

    public boolean supportsSelectForUpdate()

### supportsStoredProcedures

    public boolean supportsStoredProcedures()

### supportsSubqueriesInComparisons

    public boolean supportsSubqueriesInComparisons()

### supportsSubqueriesInExists

    public boolean supportsSubqueriesInExists()

### supportsSubqueriesInIns

    public boolean supportsSubqueriesInIns()

### supportsSubqueriesInQuantifieds

    public boolean supportsSubqueriesInQuantifieds()

### supportsTableCorrelationNames

    public boolean supportsTableCorrelationNames()

### supportsTransactionIsolationLevel

    public boolean supportsTransactionIsolationLevel(int )

### supportsTransactions

    public boolean supportsTransactions()

### supportsUnion

    public boolean supportsUnion()

### supportsUnionAll

    public boolean supportsUnionAll()

### updatesAreDetected

    public boolean updatesAreDetected(int )

### usesLocalFilePerTable

    public boolean usesLocalFilePerTable()

### usesLocalFiles

    public boolean usesLocalFiles()

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD